package com.casic.missiles.service.business;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.business.environment.EnvironmentListRequest;
import com.casic.missiles.dto.business.environment.EnvironmentListResponse;
import com.casic.missiles.model.business.BusinessEnvironmentRecord;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wangpeng
 * @since 2023-02-02
 */
public interface IBusinessEnvironmentRecordService extends IService<BusinessEnvironmentRecord> {

    Page<EnvironmentListResponse> environmentListPage(Page<EnvironmentListResponse> page, EnvironmentListRequest request) throws Exception;

    BusinessEnvironmentRecord environmentDetail(Long id);

    ReturnDTO deleteEnvironment(Long id);

    ReturnDTO updateEnvironment(BusinessEnvironmentRecord businessEnvironmentRecord);

    ReturnDTO addEnvironment(BusinessEnvironmentRecord businessEnvironmentRecord);

    void environmentExport(EnvironmentListRequest request, HttpServletResponse response);


}

